# Update creative VAST with Extension node

Add extension XML to the creative's VAST template.

Endpoint: POST /video/v2.0/creatives/{video_id}/vast/extension
Version: v1.0

## Path parameters:

  - `video_id` (integer, required)
    The creative ID

## Request body:

  - `application/xml` (unknown)
    Extension XML to add to the VAST template

## Response 200:

  - `200` (unknown)
    VAST extension added successfully

## Response 400:

  - `400` (unknown)
    Bad request

## Response 404:

  - `404` (unknown)
    Creative not found

